package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.ParkingChannel;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ParkingChannelDAO {
	int insert(ParkingChannel entity);
	int update(ParkingChannel entity);
	int exist(String id);
	ParkingChannel get(String id);
	int delete(String id);
	List<ParkingChannel> list();
	List<ParkingChannel> search(Map<String,Object> searchParams,List<Sort> sortList);
	List<ParkingChannel> findByParkId(Long parkId);
	ParkingChannel findByChannelId(String channelId);
	int deleteNotExist(List<ParkingChannel> list);
}